<?php

/**
 * Require della classe gCloud_Storage
 */
require "gCloud_Storage/gCloud_Storage.php";

if ($argc != 4) {
    die("\n\nAttenzione!\n\nNon hai specificato abbastanza parametri: \n".$argv[0]." <repositoryName> <Authentication> <fileKey>\n\n");
}

$repositoryName = $argv[1];
$Authentication = $argv[2];
$fileKey = $argv[3];

$S31 = new gCloud_Storage();
$S31->repositoryName = $repositoryName;
$S31->Authentication = $Authentication;

$response = $S31->detailFile($fileKey);

if ($response != FALSE)
{
    print_r($response);
}
else
{
    echo "\n";
    echo "Il sistema ha tornato errore: ".$S31->LastError."\n";
    echo "\n";
}
