<?php

/**
 * Require della classe gCloud_Storage
 */
require "gCloud_Storage/gCloud_Storage.php";

if ($argc != 4) {
    die("\n\nAttenzione!\n\nNon hai specificato abbastanza parametri: \n".$argv[0]." <repositoryName> <Authentication> <fileName>\n\n");
}

$repositoryName = $argv[1];
$Authentication = $argv[2];
$filename = $argv[3];

if (!file_exists($filename)){
    die ("\nIl file ".$filename." non esiste!\n\n");
}
else
{
    echo "\nInvio il file ".$filename."\n";
}

$S31 = new gCloud_Storage();
$S31->repositoryName = $repositoryName;
$S31->Authentication = $Authentication;

$fileKey = $S31->sendFile($filename);

if ($fileKey != FALSE)
{
    echo "\n";
    echo "Il sistema ha ritornato la seguente fileKey: ".$fileKey."\n";
    echo "\n";
}
else
{
    echo "\n";
    echo "Il sistema ha tornato errore: ".$S31->LastError."\n";
    echo "\n";
}
